package com.yunzhi.niucai.common;

import org.springframework.util.DigestUtils;

import java.util.Random;

public class EncryptUtils {

    /**
     * md5
     * @param str
     * @param slats
     * @return
     */
    public static String md5(String str, String ...slats) {
        String slat = "";
        if (null != slats && slats.length > 0) {
            slat = slats[0];
        }

        String base = str + slat;
        String md5 = DigestUtils.md5DigestAsHex(base.getBytes());
        return md5;
    }

    /**
     * 随机数字串
     * @param length
     * @return
     */
    public static String randDigitStr(int length) {
        Random random = new Random();
        String res = "";
        for (int i = 0; i < length; i ++) {
            int num = random.nextInt(10);
            res += String.valueOf(num);
        }
        return res;
    }

    /**
     * 阶乘
     * @param num
     * @return
     */
    public static int factorial(int num) {
        return num == 1 ? 1 : num * factorial(num - 1);
    }

    /**
     * 组合
     * 从 m 个数字, 选出 n 个组合
     * 如果 n > m, 则反之
     * @param m
     * @param n
     * @return
     */
    public static int combination(int m, int n) {
        if (m <=0 || n <= 0) {
            return 0;
        }

        int src = m;
        int tar = n;
        if (n > m) {
            src = n;
            tar = m;
        }

        return factorial(src) / (factorial(tar) * factorial(src - tar));
    }
}
