package com.yunzhi.niucai.controller;

import com.yunzhi.niucai.common.BaseController;
import com.yunzhi.niucai.common.ResponseBean;
import com.yunzhi.niucai.entity.*;
import com.yunzhi.niucai.service.*;
import com.yunzhi.niucai.vo.SportDicts;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "字典管理")
@RestController
@RequestMapping("/")
public class DictController extends BaseController {

    @Autowired
    ITdLeagueService iTdLeagueService;

    @Autowired
    ITdTeamService iTdTeamService;

    @Autowired
    ITdPlayWayService iTdPlayWayService;

    @Autowired
    ITdSportPassService iTdSportPassService;

    @GetMapping("/app/dict/{lottery}")
    @ApiOperation(value="竞彩相关字典", notes = "竞彩相关字典, 返回 SportDicts ", httpMethod = "GET", response = SportDicts.class)
    public ResponseBean football(@ApiParam(value = "竞彩类型", allowableValues = "football,basketball") @PathVariable String lottery) throws Exception {
        return getFootballDicts();
    }

    private ResponseBean getFootballDicts() throws Exception {
        String lottery = "football";
        List<TdLeague> leagueList = iTdLeagueService.getAllAvaliable(lottery);
        List<TdTeam> teamList = iTdTeamService.getAllAvaliable(lottery);
        List<TdPlayWay> playWayList = iTdPlayWayService.getAllAvaliable(lottery);
        List<TdSportPass> sportPassList = iTdSportPassService.getAllAvaliable();

        return ResponseBean.success(new SportDicts()
                .setLeagues(leagueList)
                .setTeams(teamList)
                .setPlayWays(playWayList)
                .setPasses(sportPassList));
    }
}
