package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客户投注 
 * </p>
 *
 * @author yansen
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaCustomerBetting对象", description="客户投注 ")
public class TaCustomerBetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "投注ID")
    @TableId(value = "betting_id", type = IdType.AUTO)
    private Integer bettingId;

    @ApiModelProperty(value = "投注人")
    private Integer customerId;

    @ApiModelProperty(value = "投注人姓名")
    private String customerName;

    @ApiModelProperty(value = "投注店铺")
    private Integer shopId;

    @ApiModelProperty(value = "店铺名称")
    private String shopName;

    @ApiModelProperty(value = "投注方案")
    private Integer planId;

    @ApiModelProperty(value = "方案简称")
    private String planName;

    @ApiModelProperty(value = "投注彩种")
    private String lotteryId;

    @ApiModelProperty(value = "彩种名称")
    private String lotteryName;

    @ApiModelProperty(value = "投注期数")
    private String issueNo;

    @ApiModelProperty(value = "开奖日期")
    private String openingDate;

    @ApiModelProperty(value = "投注倍数")
    private Integer bettingTimes;

    @ApiModelProperty(value = "是否追加")
    private Boolean isAdd;

    @ApiModelProperty(value = "总注数")
    private Integer notesNum;

    @ApiModelProperty(value = "投注金额 单位分")
    private Integer totalPrice;

    @ApiModelProperty(value = "预期收益")
    private String expectedEarning;

    @ApiModelProperty(value = "是否打单")
    private Boolean isPrinted;

    @ApiModelProperty(value = "彩票图片")
    private String lotteryPicture;

    @ApiModelProperty(value = "是否开奖")
    private Boolean isOpen;

    @ApiModelProperty(value = "是否中奖")
    private Boolean isWinning;

    @ApiModelProperty(value = "中奖等级")
    private String winLevel;

    @ApiModelProperty(value = "中奖金额 单位分")
    private Integer winAmount;

    @ApiModelProperty(value = "是否派奖")
    private Boolean isCashed;

    @ApiModelProperty(value = "投注时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "投注明细")
    @TableField(exist = false)
    List<TaCustomerBettingItem> itemList;

    @ApiModelProperty(value = "体彩相关明细")
    @TableField(exist = false)
    List<TaCustomerBettingSport> bettingSports;

    @ApiModelProperty(value = "投注方案")
    @TableField(exist = false)
    TaBettingPlan bettingPlan;
}
