package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客户投注明细 
 * </p>
 *
 * @author yansen
 * @since 2020-09-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaCustomerBettingItem对象", description="客户投注明细 ")
public class TaCustomerBettingItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "明细ID")
    @TableId(value = "item_no", type = IdType.AUTO)
    private Integer itemNo;

    @ApiModelProperty(value = "投注ID")
    private Integer bettingId;

    @ApiModelProperty(value = "对应方案明细")
    private Integer planItemNo;

    @ApiModelProperty(value = "是否开奖")
    private Boolean isOpen;

    @ApiModelProperty(value = "开奖日期")
    private String openingDate;

    @ApiModelProperty(value = "是否中奖")
    private Boolean isWinning;

    @ApiModelProperty(value = "中奖等级")
    private String winLevel;

    @ApiModelProperty(value = "中奖金额 单位分")
    private Integer winAmount;

    @ApiModelProperty("开奖状态 0未处理,1处理中,2已结束")
    private Integer openingStatus;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "体彩玩法明细")
    @TableField(exist = false)
    private List<TaCustomerBettingSport> sportList;
}
