package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客户投注竞彩明细 
 * </p>
 *
 * @author yansen
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaCustomerBettingSport对象", description="客户投注竞彩明细 ")
public class TaCustomerBettingSport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "投注ID")
    private Integer bettingId;

    @ApiModelProperty(value = "方案条目")
    private Integer itemNo;

    @ApiModelProperty(value = "方案明细ID")
    private Integer detailNo;

    @ApiModelProperty(value = "比赛ID")
    private Integer matchId;

    @ApiModelProperty(value = "赛制编码")
    private String ruleCode;

    @ApiModelProperty(value = "下单赔率")
    private String oddsOrdered;

    @ApiModelProperty(value = "打单赔率")
    private String oddsPrinted;

    @ApiModelProperty(value = "是否中奖")
    private Boolean isWinning;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
