package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 订单主表 
 * </p>
 *
 * @author yansen
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaOrder对象", description="订单主表 ")
public class TaOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单ID")
    @TableId(value = "order_id", type = IdType.INPUT)
    private String orderId;

    @ApiModelProperty(value = "订单类型 充值,购彩等")
    private String orderType;

    @ApiModelProperty(value = "数量 购彩则使用倍数")
    private Integer amount;

    @ApiModelProperty(value = "金额 单位分")
    private Integer charge;

    @ApiModelProperty(value = "店铺ID")
    private Integer shopId;

    @ApiModelProperty(value = "下单人")
    private Integer customerId;

    @ApiModelProperty(value = "对应投注")
    private Integer bettingId;

    @ApiModelProperty(value = "是否支付")
    private Boolean isPayed;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态 1有效,0无效")
    private Integer status;

    @ApiModelProperty(value = "商户网站唯一订单号")
    private String outTradeNo;

    @ApiModelProperty(value = "支付平台流水")
    private String tradeNo;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;
}
