package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 店铺
 * </p>
 *
 * @author yansen
 * @since 2020-08-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShop implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 店铺ID
     */
    @TableId(value = "shop_id", type = IdType.AUTO)
    private Integer shopId;

    /**
     * 店铺名称
     */
    private String name;

    /**
     * 图标
     */
    private String avatar;

    /**
     * 邀请码
     */
    private String inviteCode;

    /**
     * 所在省
     */
    private String provinceId;

    /**
     * 所在市
     */
    private String cityId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 店主
     */
    private Integer keeperId;

    /**
     * 关联渠道
     */
    private Integer channelId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 彩种
     */
    @TableField(exist = false)
    private String lotteryId;

    /**
     * 彩种对应最低出票额
     */
    @TableField(exist = false)
    private Integer minCash;
}
