package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 球队
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@ApiModel(description = "球队字典")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdTeam implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 球队ID
     */
    @ApiModelProperty("球队ID")
    @TableId(value = "team_id", type = IdType.AUTO)
    private Integer teamId;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 别名
     */
    @ApiModelProperty("别名")
    private String aliaName;

    /**
     * 队标
     */
    @ApiModelProperty("队标")
    private String icon;

    /**
     * 简介
     */
    @ApiModelProperty("简介")
    private String description;

    /**
     * 联赛
     */
    @ApiModelProperty("联赛")
    private Integer leagueId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 类型
     */
    @ApiModelProperty("类型")
    private String teamType;


}
