package com.yunzhi.niucai.service.impl;

import com.yunzhi.niucai.entity.TaCustomer;
import com.yunzhi.niucai.entity.TaCustomerAccount;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TaCustomerAccountMapper;
import com.yunzhi.niucai.service.ITaCustomerAccountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客户账户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-10
 */
@Service
public class TaCustomerAccountServiceImpl extends ServiceImpl<TaCustomerAccountMapper, TaCustomerAccount> implements ITaCustomerAccountService {

    @Override
    public boolean newAccountBy(TaCustomer taCustomer) throws Exception {
        TaCustomerAccount account = new TaCustomerAccount();
        account.setCustomerId(taCustomer.getCustomerId());
        account.setStatus(StatusEnum.NORMAL.getCode());

        return save(account);
    }
}
