package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TaMatchWay;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TaMatchWayMapper;
import com.yunzhi.niucai.service.ITaMatchWayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 比赛玩法  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Service
public class TaMatchWayServiceImpl extends ServiceImpl<TaMatchWayMapper, TaMatchWay> implements ITaMatchWayService {

    @Override
    public TaMatchWay getByMatchAndWay(String lotteryId, Integer matchId, String wayCode) throws Exception {
        QueryWrapper<TaMatchWay> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("lottery_id", lotteryId);
        queryWrapper.eq("match_id", matchId);
        queryWrapper.eq("way_code", wayCode);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.last("limit 1");

        return getOne(queryWrapper);
    }

    @Override
    public Map<String, TaMatchWay> getGroupedByWay(Integer matchId, String lotteryId) throws Exception {
        QueryWrapper<TaMatchWay> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("lottery_id", lotteryId);
        queryWrapper.eq("match_id", matchId);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
//        queryWrapper.orderByAsc("way_code");

        List<TaMatchWay> list = list(queryWrapper);
        if (null == list || list.size() == 0) {
            return null;
        }

        Map<String, TaMatchWay> res = new HashMap<>();
        for (TaMatchWay taMatchWay: list) {
            res.put(taMatchWay.getWayCode(), taMatchWay);
        }
        return res;
    }
}
