package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TaShopLottery;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TaShopLotteryMapper;
import com.yunzhi.niucai.service.ITaShopLotteryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 店铺彩种设置 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-10
 */
@Service
public class TaShopLotteryServiceImpl extends ServiceImpl<TaShopLotteryMapper, TaShopLottery> implements ITaShopLotteryService {

    @Override
    public TaShopLottery getSettingBy(Integer shopId, String lotteryId) throws Exception {
        QueryWrapper<TaShopLottery> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("lottery_id", lotteryId);
        queryWrapper.eq("shop_id", shopId);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());

        return getOne(queryWrapper);
    }
}
