package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TdLeague;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TdLeagueMapper;
import com.yunzhi.niucai.service.ITdLeagueService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 联赛字典 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Service
public class TdLeagueServiceImpl extends ServiceImpl<TdLeagueMapper, TdLeague> implements ITdLeagueService {

    @Override
    public List<TdLeague> getAllAvaliable(String lottery) throws Exception {
        QueryWrapper<TdLeague> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("league_type", lottery);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByDesc("create_date");

        return list(queryWrapper);
    }
}
