package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.niucai.entity.TdLottery;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TdLotteryMapper;
import com.yunzhi.niucai.service.ITdLotteryOnSaleService;
import com.yunzhi.niucai.service.ITdLotteryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 彩种 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-08-27
 */
@Service
public class TdLotteryServiceImpl extends ServiceImpl<TdLotteryMapper, TdLottery> implements ITdLotteryService {

    @Autowired
    ITdLotteryOnSaleService iTdLotteryOnSaleService;

    @Override
    public IPage<TdLottery> getDetailPaged(IPage<TdLottery> pg, Boolean isDigit) throws Exception {
        QueryWrapper<TdLottery> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(null != isDigit, "is_digit", isDigit);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByAsc("sort_no");

        IPage<TdLottery> result = page(pg, queryWrapper);
        if (result.getTotal() > 0) {
            for (TdLottery lottery: result.getRecords()) {
                lottery.setOnSaleSettings(iTdLotteryOnSaleService.getByLottery(lottery));
            }
        }

        return result;
    }

    @Override
    public TdLottery getDetailById(String lotteryId) throws Exception {
        TdLottery tdLottery = getById(lotteryId);
        if (null == tdLottery || StatusEnum.DELETED.getCode().equals(tdLottery.getStatus())) {
            return null;
        }

        tdLottery.setOnSaleSettings(iTdLotteryOnSaleService.getByLottery(tdLottery));
        return tdLottery;
    }
}
