package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TdSportPass;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TdSportPassMapper;
import com.yunzhi.niucai.service.ITdSportPassService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 闯关字典 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Service
public class TdSportPassServiceImpl extends ServiceImpl<TdSportPassMapper, TdSportPass> implements ITdSportPassService {

    /**
     * 单关编码
     */
    public final static String SINGLE_PASS_CODE = "1＊1";

    @Override
    public List<TdSportPass> getAllAvaliable() throws Exception {
        QueryWrapper<TdSportPass> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByAsc("sort_no");

        return list(queryWrapper);
    }

    @Override
    public String getSinglePassCode() {
        return SINGLE_PASS_CODE;
    }
}
