package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TdSportRules;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TdSportRulesMapper;
import com.yunzhi.niucai.service.ITdSportRulesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 竞彩赛制 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Service
public class TdSportRulesServiceImpl extends ServiceImpl<TdSportRulesMapper, TdSportRules> implements ITdSportRulesService {

    @Autowired
    TdSportRulesMapper tdSportRulesMapper;

    @Override
    public List<TdSportRules> getAllAvaliable(String wayCode) throws Exception {
        QueryWrapper<TdSportRules> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("way_code", wayCode);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByAsc("sort_no");

        return list(queryWrapper);
    }
}
