package com.yunzhi.niucai.task;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.common.CommConstants;
import com.yunzhi.niucai.entity.TaOrder;
import com.yunzhi.niucai.service.ITaOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.List;

@Component
public class OrderTask {

    @Autowired
    private ITaOrderService taOrderService;
    /**
     * 改变支付中的状态为有效状态
     */
    @Scheduled(cron = "* 0/30 * * * ? ")
    public void changeOrderStatus(){
        QueryWrapper<TaOrder> taOrderQueryWrapper = new QueryWrapper<>();
        taOrderQueryWrapper.eq("status", CommConstants.SRTATUS_PAYING);
        taOrderQueryWrapper.isNotNull("out_trade_no");
        taOrderQueryWrapper.gt("update_date", LocalDateTime.now().plusMinutes(30));
        List<TaOrder> list = taOrderService.list(taOrderQueryWrapper);
        if (list.size() > 0){
            list.forEach(e -> e.setStatus(CommConstants.SRTATUS_EFFECTIVE));
            taOrderService.updateBatchById(list);
        }
    }
}
